[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BeginDrag

BeginDrag - starts the dragging of a control. In this version BringToFront applies

## Declaration

Source position: controls.pp line 1262

`public procedure TControl.BeginDrag(`
`Immediate: Boolean;`
`Threshold: Integer = -1`
`);`

## Arguments

`Immediate` |  | If True, start drag as soon as cursor starts to move
`Threshold` |  | Least value for movement of cursor before drag starts

The latest version of this document can be found at lazarus-ccr.sourceforge.net.